RuntimeRedirectAction (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class RuntimeRedirectAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.codehaus.groovy.grails.webflow.engine.builder.RuntimeRedirectAction

    class RuntimeRedirectAction
    extends org.springframework.webflow.action.AbstractAction

Takes the parameters formulated in the builder and produces an ExternalRedirect at runtime.

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`java.lang.Object` | `action`
`java.lang.Object` | `controller`
`java.util.Map` | `params`
`java.lang.Object` | `plugin`
`UrlMappingsHolder` | `urlMapper`

Method Summary
`protected org.springframework.webflow.execution.Event` | `doExecute(org.springframework.webflow.execution.RequestContext context)`
`java.lang.Object` | `resolveExpression(ExpressionDelegate delegate, java.lang.Object expression)`
`java.lang.Object` | `resolveExpressionsInParams(ExpressionDelegate delegate, java.util.Map params)`

Methods inherited from class org.springframework.webflow.action.AbstractAction
org.springframework.webflow.action.AbstractAction#execute(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.action.AbstractAction#getEventFactorySupport(), org.springframework.webflow.action.AbstractAction#afterPropertiesSet(), org.springframework.webflow.action.AbstractAction#wait(), org.springframework.webflow.action.AbstractAction#wait(long, int), org.springframework.webflow.action.AbstractAction#wait(long), org.springframework.webflow.action.AbstractAction#equals(java.lang.Object), org.springframework.webflow.action.AbstractAction#toString(), org.springframework.webflow.action.AbstractAction#hashCode(), org.springframework.webflow.action.AbstractAction#getClass(), org.springframework.webflow.action.AbstractAction#notify(), org.springframework.webflow.action.AbstractAction#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### action

    java.lang.Object action

### controller

    java.lang.Object controller

### params

    java.util.Map params

### plugin

    java.lang.Object plugin

### urlMapper

    UrlMappingsHolder urlMapper

Method Detail

### doExecute

    protected org.springframework.webflow.execution.Event doExecute(org.springframework.webflow.execution.RequestContext context)

### resolveExpression

    java.lang.Object resolveExpression(ExpressionDelegate delegate, java.lang.Object expression)

### resolveExpressionsInParams

    java.lang.Object resolveExpressionsInParams(ExpressionDelegate delegate, java.util.Map params)

Groovy Documentation